Subject: I think you might like this

From: <[email-masked]>
Date: Wed, 17 Oct 2007 12:15:27 +0200

EXTO Ready To Hit US Market Ahead OF Schedule.

EXIT ONLY INC
EXTO.PK
Now: $0.43

The time table has been moved up. EXTO's overwhelming success in Canada
with its used car marketing site has stepped up its pace to expand its
coverage. This new venue now moving to the US market is exciting for
private sellers and dealers alike. Taking a new edge in the market, EXTO
only charges sellers for leads with no hidden costs. Today's news
announced the US version is ready ahead of schedule and set to be
released. The US launch will push this through the roof, act fast and
get on EXTO first thing Wednesday morning.